<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCodigoIngresosTable extends Migration
{
    /**
     * Run the migrations.
     */
    public function up()
    {
        Schema::create('codigo_ingresos', function (Blueprint $table) {
            $table->id();
            $table->integer('id_sede');
            $table->string('codigo', 15);
            $table->string('nombre', 100);
            $table->string('estado', 2)->default('AC'); // AC, IN, EL
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down()
    {
        Schema::dropIfExists('codigo_ingresos');
    }
}

return new CreateCodigoIngresosTable();
